#!/bin/bash
# Convenience script for running the python build script.

# The script will fail if the git submodules have not been updated.
./check-submodules.sh

# Run the build script
if [ $# -eq 0 ]; then
  python $SIS_BUILD_SCRIPT/build.py --path $(pwd) --project library-ng --env dev
elif [ $1 == "clean" ]; then
  python $SIS_BUILD_SCRIPT/build.py --path $(pwd) --project library-ng --clean
elif [ $1 == "publish" ]; then
  python $SIS_BUILD_SCRIPT/build.py --path $(pwd) --project library-ng --env dev --publish
else
  echo 'Usage: build.sh [option]'
  echo '  no arguments: Build for dev.'
  echo '  clean: Remove cached build files.'
  echo '  publish: Publish as a private package to npmjs.com.'
fi
