# git submodules in the project
declare -a submodules=(
  "typescript-node-config"
)

# If the .git subfolder exists within each submodule folder, then
# it has already been initialized.
need_update=0
for i in "${submodules[@]}"
do
  if [ ! -e "$i/.git" ] || [[ $* == "--force" ]]; then
      need_update=1
  fi
done

if [ "$need_update" -eq 1 ]; then
  echo -e "updating git submodules"
  git submodule init && git submodule update && git submodule update --remote
fi
