#!/bin/bash
# Convenience script for running the python init script.

# The script will fail if the git submodules have not been updated.
./check-submodules.sh

# Run the init script
if [ $# -eq 0 ]; then
  python $SIS_BUILD_SCRIPT/init.py --path $(pwd) --project library-ng
elif [ $1 == "codecommit" ]; then
  python $SIS_BUILD_SCRIPT/init.py --path $(pwd) --project library-ng --codecommit
elif [ $1 == "gerrit" ]; then
  python $SIS_BUILD_SCRIPT/init.py --path $(pwd) --project library-ng --gerrit
elif [ $1 == "no-remote" ]; then
  python $SIS_BUILD_SCRIPT/init.py --path $(pwd) --project library-ng --no-remote
else
  echo 'Usage: init.sh [option]'
  echo '  no arguments: Initialize the project and create a remote repository.'
  echo '  codecommit: Create a codecommit repository. Use if original initialized with no-remote.'
  echo '  gerrit: Add a gerrit repository.  Use if original initialized with no-remote.'
  echo '  no-remote: Initialize the project without creating remote repositories.'
fi
