// import { Employee } from './employee';
import {
  EmployeePicklistItem
} from '../interface/employee-picklist-item';
import { Injectable } from '@angular/core';

import { Observable, of } from 'rxjs';  // TODO Test only

// TODO import data models: employee, contact, job title
// TODO add calls to external services: employee, contact, job title
// TODO automatically pull data from the server on an interval and
//      cache those records locally


/** Service to manage data for the employee picklist component. */
@Injectable({
  providedIn: 'root',
})
export class EmployeePicklistService {

  // Records for all employees.
  employeeData: Map<string, EmployeePicklistItem>;

  // Interval at which cached records are automatically updated from the server.
  // Units in milliseconds.
  interval = 5000;

  constructor() {
    this.employeeData = new Map<string, EmployeePicklistItem>();
  }

  /** Get employee data to be displayed on the picklist.
   * @returns Employee data.
   */
  getEmployees(): Observable<Map<string, EmployeePicklistItem>> {
    return of(this.employeeData);
  }

}
