/** Structure of data displayed on the typeahead picklist. */
export interface AutocompletePicklistItem {

  /** Filter values that are displayed in the picklist.
   * @param text User input to use for filtering.
   * @returns True if the item should be displayed.
   */
  filterCustom(text: string): boolean;

  /** Get the string to display for an item when it is selected.
   * @returns Text to display in the input box.
   */
  getName(): string;
}
